# Gimp.Drawable.threshold

    @accepts(Gimp.Drawable, Gimp.HistogramChannel, float, float)
    @returns(bool)
    def threshold(self, channel, low_threshold, high_threshold):
        # Python wrapper for gimp_drawable_threshold()

Threshold the specified drawable.

This procedures generates a threshold map of the specified drawable. All pixels between the values of 'low_threshold' and 'high_threshold', on the scale of 'channel' are replaced with white, and all other pixels with black.

Since 2.10

self

  The drawable.

channel

  The channel to base the threshold on.

low_threshold

  The low threshold value.

high_threshold

  The high threshold value.

Returns